Name:       jwm
Summary:    Lightweight X11 Window Manager
Version:    2.3.7
Release:    %mkrel 1
License:    MIT
Group:      Graphical desktop/Other

URL:        http://joewing.net/programs/jwm/
Source:     http://joewing.net/projects/jwm/releases/%{name}-%{version}.tar.xz
Source1:    system.jwmrc
BuildRequires:  pkgconfig(xext)
BuildRequires:  pkgconfig(xmu)
BuildRequires:  pkgconfig(xinerama)
BuildRequires:  pkgconfig(xpm)
BuildRequires:  pkgconfig(libjpeg)
BuildRequires:  pkgconfig(libpng)
BuildRequires:  pkgconfig(librsvg-2.0)
BuildRequires:  pkgconfig(xft)
BuildRequires:  pkgconfig(fribidi)
BuildRequires:  freetype2-devel
BuildRequires:  gettext

Requires: xterm


%description
JWM is a window manager for the X11 Window System. JWM is written in C and
uses only Xlib at a minimum.

%prep
%setup -q

# Preserve timestamps in installation
sed -i -e 's|install -m|install -pm|g' Makefile.in


%build
%configure2_5x

%make_build

%install
%make_install

%{__mkdir_p} %{buildroot}%{_sysconfdir}/X11/wmsession.d/
cat > %{buildroot}%{_sysconfdir}/X11/wmsession.d/20jwm << EOF
NAME=JWM
EXEC=/usr/bin/jwm
DESC=JWM window manager
SCRIPT:
exec /usr/bin/jwm
EOF

#defaul setup
install -m 0644 %SOURCE1 %{buildroot}/%{_sysconfdir}/system.jwmrc


%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/jwm
%{_datadir}/jwm/
%{_mandir}/*/*
%config(noreplace) %{_sysconfdir}/system.jwmrc
%{_sysconfdir}/X11/wmsession.d/20jwm 

%post
%make_session

%postun
%make_session


%changelog
* Thu Feb 13 2020 tex - 2.3.7-1pclos2020
- New version 2.3.7
